NullTermConsumer Class Reference

This follows the null object pattern. More...

`#include <NullTermConsumer.h>`

Inheritance diagram for NullTermConsumer:

## Public Member Functions

virtual void | beginConsumingList ()
| Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.
virtual void | consumeRing (const VarNames &names)
| Tell the consumer which ring is being used.
virtual void | beginConsuming ()
| Tell the consumer to begin consuming an ideal.
virtual void | consume (const Term &term)
| Consume a term.
virtual void | consume (const vector< mpz_class > &term)
virtual void | consume (const Term &term, const TermTranslator &translator)
virtual void | doneConsuming ()
| Must be called once after each time beginConsuming has been called.
virtual void | doneConsumingList ()
| Must be called once after each time beginConsumingList has been called.
virtual void | consume (const BigIdeal &ideal)
Public Member Functions inherited from BigTermConsumer
virtual | ~BigTermConsumer ()
virtual void | consume (unique_ptr< BigIdeal > ideal)
void | beginConsuming (const VarNames &names)
Public Member Functions inherited from TermConsumer
virtual | ~TermConsumer ()
void | consume (const Ideal &ideal)
| This is a non-virtual utility method that calls the other methods to achieve its effect of calling beginConsuming, then consuming all generators, and then calling doneConsuming.

## Detailed Description

This follows the null object pattern.

None of the methods do anything.

Definition at line 25 of file NullTermConsumer.h.

## Member Function Documentation

## beginConsuming()

void NullTermConsumer::beginConsuming | ( |  | ) |

virtual

Tell the consumer to begin consuming an ideal.

It is required to call this method before calling consume().

Implements BigTermConsumer.

Definition at line 26 of file NullTermConsumer.cpp.

## beginConsumingList()

void NullTermConsumer::beginConsumingList | ( |  | ) |

virtual

Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.

The default implementation is to ignore this, but the consumer is free to do something special in this case. It is thus not in general required to call this method, but if you don't, make sure that every consumer that you want to use does what you want if you output more than a single ideal.

Reimplemented from TermConsumer.

Definition at line 20 of file NullTermConsumer.cpp.

## consume() [1/4]

void NullTermConsumer::consume | ( | const BigIdeal & | ideal | ) |

virtual

Reimplemented from BigTermConsumer.

Definition at line 45 of file NullTermConsumer.cpp.

## consume() [2/4]

void NullTermConsumer::consume | ( | const Term & | term | ) |

virtual

Consume a term.

Reimplemented from BigTermConsumer.

Definition at line 29 of file NullTermConsumer.cpp.

## consume() [3/4]

void NullTermConsumer::consume | ( | const Term & | term,
|  | const TermTranslator & | translator )

virtual

Implements BigTermConsumer.

Definition at line 35 of file NullTermConsumer.cpp.

## consume() [4/4]

void NullTermConsumer::consume | ( | const vector< mpz_class > & | term | ) |

virtual

Implements BigTermConsumer.

Definition at line 32 of file NullTermConsumer.cpp.

## consumeRing()

void NullTermConsumer::consumeRing | ( | const VarNames & | names | ) |

virtual

Tell the consumer which ring is being used.

Implements BigTermConsumer.

Definition at line 23 of file NullTermConsumer.cpp.

## doneConsuming()

void NullTermConsumer::doneConsuming | ( |  | ) |

virtual

Must be called once after each time beginConsuming has been called.

Implements BigTermConsumer.

Definition at line 39 of file NullTermConsumer.cpp.

## doneConsumingList()

void NullTermConsumer::doneConsumingList | ( |  | ) |

virtual

Must be called once after each time beginConsumingList has been called.

Reimplemented from TermConsumer.

Definition at line 42 of file NullTermConsumer.cpp.

The documentation for this class was generated from the following files:

- src/NullTermConsumer.h
- src/NullTermConsumer.cpp